<?php
	session_name('library');
	session_start();
	
	include("functions.php");
	
	head("Forgotten Password");
?>

<body>
<div id="main">

	<?php
		include("header.php");
		include("menu.php");
	?>
	
	<div id="entire_panel">
	
		<table width="380" border="0" cellpadding="3" cellspacing="1" >
			<tr><td width="40%"><strong>Enter your username : </strong></td>
				<td width="60%"><form name="form1" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
								<input name="login" type="text" size="20" value="<?php if (isset($_POST['login'])) echo $_POST['login'];?>"></td></tr>
			<tr><td width="40%"><strong>Enter your email : </strong></td>
				<td width="60%"><input name="email" type="text" size="35"></td></tr>
			<tr><td width="40%">
				<td width="60%"><input type="submit" name="submit" value="Zresetuj moje predošlé heslo">					
								</form></td></tr>
		</table>

		<?php
		
			if (isset($_POST['submit'])) {
			
				$link = connect_db();
				
				$sql="SELECT * FROM users WHERE username='".$_POST['login']."' AND email='".$_POST['email']."'";
				$result=mysql_query($sql);
				
				if($result && mysql_num_rows($result)==1){

					$rows=mysql_fetch_array($result);   
			
					// ---------------- SEND MAIL FORM ---------------- 
	
					// send e-mail to ...
					$to=$_POST['email']; 
					
					// Your subject 
					$subject="Vaše nové heslo."; 
					
					// From 
					$header="from: admin <jakub.husar@centrum.sk>";
					
					//New password
					$password = createRandomPassword(); 
					
					// Your message 
					$messages= "Vaše dočasné heslo pre prihlásenie sa k webstránke. \r\n";
					$messages.="Vaše dočasné heslo: $password \r\n";
					$messages.="Zmenu tohto hesla je možné vykonať po prihlásení sa v sekcii Account. \r\n";
					$messages.="S pozdravom administrátor katalógu. \r\n";
					
					// send email 
					$sentmail = mail($to,$subject,$messages,$header); 
				
				} else {
					echo '<p id="red">Vaše údaje nesedia s úidajmi v databázach.</p>';
				} 
				
				// if your email succesfully sent 
				if($sentmail){
					echo "Vaše dočasné heslo bolo zaslané na vašu e-mailovu adresu. \r\n Prosím prihláste sa pomocou tohto hesla a následne si ho zmente na Vám príbuznejšie. \r\n";
					$sql = "UPDATE users SET password='".MD5($password)."' WHERE username='" . $_POST['login'] . "' LIMIT 1;";
					$result=mysql_query($sql);
					if($result) { echo "Heslo bolo nahradené novým."; }
				}else {
					echo '<p id="red">Vaše heslo sa nepodarilo poslať, v prípade opakovaného neúspechu kontaktujte administrátora.</p>';
				}
							
							} 
		
		?> 
			
	</div>
	
	<?php include("footer.php"); ?>

</div>
</body>
</html>